Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlInputNumberSlider

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIInputNumber
                          org.richfaces.component.html.HtmlInputNumberSlider

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class HtmlInputNumberSlider

extends UIInputNumber
implements javax.faces.component.behavior.ClientBehaviorHolder

Nested Class Summary
`protected static class` | `HtmlInputNumberSlider.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlInputNumberSlider()`

Method Summary
`java.lang.String` | `getAccesskey()`
`java.lang.String` | `getDecreaseClass()`
`java.lang.String` | `getDecreaseSelectedClass()`
`java.lang.String` | `getDefaultEventName()`
`int` | `getDelay()`
`java.lang.String` | `getDir()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHandleClass()`
`java.lang.String` | `getHandleSelectedClass()`
`java.lang.String` | `getIncreaseClass()`
`java.lang.String` | `getIncreaseSelectedClass()`
`java.lang.String` | `getInputClass()`
`org.richfaces.component.InputNumberSliderInputPosition` | `getInputPosition()`
`int` | `getInputSize()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getLang()`
`int` | `getMaxlength()`
`java.lang.String` | `getMaxValue()`
`java.lang.String` | `getMinValue()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.String` | `getStep()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getTooltipClass()`
`java.lang.String` | `getTrackClass()`
`boolean` | `isDisabled()`
`boolean` | `isEnableManualInput()`
`boolean` | `isReadonly()`
`boolean` | `isShowArrows()`
`boolean` | `isShowBoundaryValues()`
`boolean` | `isShowInput()`
`boolean` | `isShowTooltip()`
`void` | `setAccesskey(java.lang.String accesskey)`
`void` | `setDecreaseClass(java.lang.String decreaseClass)`
`void` | `setDecreaseSelectedClass(java.lang.String decreaseSelectedClass)`
`void` | `setDelay(int delay)`
`void` | `setDir(java.lang.String dir)`
`void` | `setDisabled(boolean disabled)`
`void` | `setEnableManualInput(boolean enableManualInput)`
`void` | `setHandleClass(java.lang.String handleClass)`
`void` | `setHandleSelectedClass(java.lang.String handleSelectedClass)`
`void` | `setIncreaseClass(java.lang.String increaseClass)`
`void` | `setIncreaseSelectedClass(java.lang.String increaseSelectedClass)`
`void` | `setInputClass(java.lang.String inputClass)`
`void` | `setInputPosition(org.richfaces.component.InputNumberSliderInputPosition inputPosition)`
`void` | `setInputSize(int inputSize)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLang(java.lang.String lang)`
`void` | `setMaxlength(int maxlength)`
`void` | `setMaxValue(java.lang.String maxValue)`
`void` | `setMinValue(java.lang.String minValue)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setOnselect(java.lang.String onselect)`
`void` | `setReadonly(boolean readonly)`
`void` | `setShowArrows(boolean showArrows)`
`void` | `setShowBoundaryValues(boolean showBoundaryValues)`
`void` | `setShowInput(boolean showInput)`
`void` | `setShowTooltip(boolean showTooltip)`
`void` | `setStep(java.lang.String step)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTabindex(java.lang.String tabindex)`
`void` | `setTitle(java.lang.String title)`
`void` | `setTooltipClass(java.lang.String tooltipClass)`
`void` | `setTrackClass(java.lang.String trackClass)`

Methods inherited from class org.richfaces.component.UIInputNumber
`validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputNumberSlider

    public HtmlInputNumberSlider()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAccesskey

    public java.lang.String getAccesskey()

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### getDecreaseClass

    public java.lang.String getDecreaseClass()

### setDecreaseClass

    public void setDecreaseClass(java.lang.String decreaseClass)

### getDecreaseSelectedClass

    public java.lang.String getDecreaseSelectedClass()

### setDecreaseSelectedClass

    public void setDecreaseSelectedClass(java.lang.String decreaseSelectedClass)

### getDelay

    public int getDelay()

### setDelay

    public void setDelay(int delay)

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String dir)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### isEnableManualInput

    public boolean isEnableManualInput()

### setEnableManualInput

    public void setEnableManualInput(boolean enableManualInput)

### getHandleClass

    public java.lang.String getHandleClass()

### setHandleClass

    public void setHandleClass(java.lang.String handleClass)

### getHandleSelectedClass

    public java.lang.String getHandleSelectedClass()

### setHandleSelectedClass

    public void setHandleSelectedClass(java.lang.String handleSelectedClass)

### getIncreaseClass

    public java.lang.String getIncreaseClass()

### setIncreaseClass

    public void setIncreaseClass(java.lang.String increaseClass)

### getIncreaseSelectedClass

    public java.lang.String getIncreaseSelectedClass()

### setIncreaseSelectedClass

    public void setIncreaseSelectedClass(java.lang.String increaseSelectedClass)

### getInputClass

    public java.lang.String getInputClass()

### setInputClass

    public void setInputClass(java.lang.String inputClass)

### getInputPosition

    public org.richfaces.component.InputNumberSliderInputPosition getInputPosition()

### setInputPosition

    public void setInputPosition(org.richfaces.component.InputNumberSliderInputPosition inputPosition)

### getInputSize

    public int getInputSize()

### setInputSize

    public void setInputSize(int inputSize)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

### getMaxValue

    public java.lang.String getMaxValue()

### setMaxValue

    public void setMaxValue(java.lang.String maxValue)

### getMaxlength

    public int getMaxlength()

### setMaxlength

    public void setMaxlength(int maxlength)

### getMinValue

    public java.lang.String getMinValue()

### setMinValue

    public void setMinValue(java.lang.String minValue)

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnselect

    public java.lang.String getOnselect()

### setOnselect

    public void setOnselect(java.lang.String onselect)

### isReadonly

    public boolean isReadonly()

### setReadonly

    public void setReadonly(boolean readonly)

### isShowArrows

    public boolean isShowArrows()

### setShowArrows

    public void setShowArrows(boolean showArrows)

### isShowBoundaryValues

    public boolean isShowBoundaryValues()

### setShowBoundaryValues

    public void setShowBoundaryValues(boolean showBoundaryValues)

### isShowInput

    public boolean isShowInput()

### setShowInput

    public void setShowInput(boolean showInput)

### isShowTooltip

    public boolean isShowTooltip()

### setShowTooltip

    public void setShowTooltip(boolean showTooltip)

### getStep

    public java.lang.String getStep()

### setStep

    public void setStep(java.lang.String step)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTabindex

    public java.lang.String getTabindex()

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getTooltipClass

    public java.lang.String getTooltipClass()

### setTooltipClass

    public void setTooltipClass(java.lang.String tooltipClass)

### getTrackClass

    public java.lang.String getTrackClass()

### setTrackClass

    public void setTrackClass(java.lang.String trackClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.